Subject: Re: bug#65458: [PATCH] gnu: granite: Upgrade to 7.3.0.

From: Altadil <[email-masked]>
Date: Sat, 02 Sep 2023 13:29:40 +0000

> Hi,
> 
> altadil [email-masked] writes:
> 
> > * gnu/packages/pantheon.scm (granite): Upgrade to 7.3.0.
> > ---
> > This is a work in progress, as I have noted two problems.
> > First is: guix lint says
> > "label 'glib' does not match package name 'glib:bin"
> > but looking at the package reference in the manual,
> > I don’t get why the way I wrote it is wrong.
> 
> 
> The glib:bin lint warning can be ignored. It's a long standing issue.
> 
> > Second: guix size reports a doubled size, but I don’t
> > know if anything can be done about it.
> 
> 
> GTK (4) needs some size work. It appear this may have broke some other
> dependent packages such as pantheon-calculator, maybe because of the
> mismatched GTK version used. We'll have to see what the QA says after
> it has processed it (https://qa.guix.gnu.org/issue/65458).
> 
> --
> Thanks,
> Maxim

Hi,

my goal in updating granite was actually to be able to upgrade pantheon-calculator to its latest upstream version. So I guess I’ll go work on that as soon as I can.

Thanks a lot for your help !
Altadil